API reference
All Store settings
Returns everything the storefront needs to render in a single snapshot: store, checkout, theme, features, CMS settings, pages and menus. Fetch it once per request instead of calling the individual settings endpoints.
GET
/v1/settingsReturns everything the storefront needs to render in a single snapshot: store, checkout, theme, features, CMS settings, pages and menus. Fetch it once per request instead of calling the individual settings endpoints.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/settings"{ "schemaVersion": 0, "generatedAt": "2019-08-24T14:15:22Z", "store": { "id": "string", "tenantId": "string", "sellerId": null, "type": "b2C", "isActive": true, "name": "string", "description": "string", "logo": null, "icon": null, "slug": null, "domain": null, "domains": [ "string" ], "timeZone": "string", "currency": "string", "language": "string", "visibility": "public", "themeConfig": { "name": null, "mode": null, "colors": { "property1": "string", "property2": "string" }, "fonts": { "property1": "string", "property2": "string" }, "assets": { "property1": "string", "property2": "string" } }, "featuresEnabled": { "flags": { "property1": true, "property2": true } }, "checkoutSettings": { "general": { "allowGuestCheckout": true, "identityScope": "store", "signInMethods": [], "useSequentialOrderNumbers": true, "automaticallySelectFirstAddress": true, "alwaysRequestCustomerAddress": true, "requestCustomerDateOfBirth": true, "automaticallySelectBestPromotion": true }, "shipping": { "showDeliveryTime": true, "showDeliveryTimeInDays": true, "useBusinessDaysForDeliveryTime": true, "showEstimatedDeliveryDateInThankYouAndEmails": true, "showOriginalShippingPriceWhenFree": true }, "cartPage": { "showShippingCostCalculation": true, "allowProductLinks": true, "redirectToCartPage": true }, "orderBumps": { "mergeOrderBumpOrders": true, "allowOnlyOneAdditionalOffer": true, "maxVisibleOffers": 0 }, "ordersAndPayments": { "allowPurchasesFrom": "any", "creditCardDailyOrderLimitPerIp": null, "maximumItemsPerOrder": null, "deliveryNoteText": null, "boletoPaymentNoteText": null } } }, "cms": { "settings": { "themeKey": "string", "branding": { "logoUrl": null, "logoDarkUrl": null, "faviconUrl": null, "socialImageUrl": null }, "seo": { "siteName": null, "metaTitle": null, "metaDescription": null, "titleTemplate": null, "robotsIndex": true }, "contact": { "supportEmail": null, "phone": null, "whatsapp": null, "address": null, "socialLinks": { "instagram": null, "facebook": null, "tiktok": null, "youtube": null, "x": null } }, "tracking": { "googleAnalyticsMeasurementId": null, "metaPixelId": null, "googleTagManagerContainerId": null }, "customScripts": { "enabled": true, "head": null, "bodyEnd": null }, "updatedOn": null }, "pages": [ { "id": "string", "name": "string", "slug": "string", "channel": "storefront", "layout": "string", "version": null, "settings": null, "sections": [ { "id": "string", "type": "string", "order": 0, "settings": null, "blocks": [ { "id": "string", "type": "string", "order": 0, "settings": null } ] } ], "status": "draft", "hasPublishedVersion": true, "publishedOn": null, "publishedBy": null, "createdOn": "2019-08-24T14:15:22Z", "updatedOn": null, "createdBy": null, "updatedBy": null, "lastModifiedBy": null } ], "menus": [ { "key": "string", "name": "string", "items": [ { "label": "string", "url": "string", "order": 0, "target": null, "visible": null, "children": null } ] } ] }}